GeographicLib 2.5.2

Loading...
Searching...
No Matches
Functions
Planimeter.cpp File Reference

Command line utility for measuring the area of geodesic polygons. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/PolygonArea.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/GeoCoords.hpp>`
`#include <GeographicLib/AuxLatitude.hpp>`
`#include "Planimeter.usage"`

Go to the source code of this file.

## Functions
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for measuring the area of geodesic polygons.

Copyright (c) Charles Karney (2010-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file Planimeter.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 24 of file Planimeter.cpp.

References GeographicLib::AuxLatitude::AuthalicRadiusSquared(), GeographicLib::AuxLatitude::Convert(), GeographicLib::GeoCoords::Latitude(), GeographicLib::GeoCoords::Longitude(), and GeographicLib::GeoCoords::Reset().